Bug 30283 - Taking a snapshot causes the profiler to crash with an out of memory exception
Summary: Taking a snapshot causes the profiler to crash with an out of memory exception
Status: RESOLVED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: General (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Rodrigo Moya
URL:
Depends on:
Blocks:
 
Reported: 2015-05-20 18:11 UTC by Randall Schmidt
Modified: 2015-06-30 14:05 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Profiler log (31.68 KB, application/octet-stream)
2015-05-20 18:11 UTC, Randall Schmidt
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Randall Schmidt 2015-05-20 18:11:06 UTC
I started the app in the simulator with the profiler attached, did some stuff in the app, hit the button to take a snapshot, the fans on my Mac spun up all the way for about ten minutes, then the profiler crashed trying to resize an array. Profiler log is attached. This happens most of the time I try to take a snapshot.

Profiler Version 0.14-0 (1)

My Mac has 8 GB of RAM. Before starting the app with the profiler from Xamarin Studio, Activity Monitor shows that the "Memory Used" is about 4 GB.
Comment 1 Randall Schmidt 2015-05-20 18:11:32 UTC
Created attachment 11267 [details]
Profiler log
Comment 2 Rodrigo Moya 2015-06-17 16:30:49 UTC
0.16 has fixes for this, so please try that build and re-open if you still see the problem
Comment 3 Udham Singh 2015-06-26 14:24:58 UTC
Hi @Randall,

Could you please check this issue with latest profiler build 0.17 and let us know if you are still getting this issue. You can get latest profiler build from link https://xamarin.com/profiler

Thanks!
Comment 4 Randall Schmidt 2015-06-30 14:05:53 UTC
Hi Udham,

For reasons described in this bug report: https://bugzilla.xamarin.com/show_bug.cgi?id=30053 I cannot currently run the profiler with my app, but will try to see if I can reproduce this crash once I can again.